/*************************************************************************/ /*!
@File           imgpixfmts_internal.h
@Copyright      Copyright (c) Imagination Technologies Ltd. All Rights Reserved
@License        Strictly Confidential.
*/ /**************************************************************************/

/******************************************************************************
 **
 ** WARNING: File is autogenerated by parsesystable.py - DO NOT EDIT.
 ** Use fmts_systable.txt to add new formats.
 **
 *****************************************************************************/


/**
 * Pixel formats.
 *
 * The layout of the components in memory is taken from the name of the
 * enum (imgpixfmts.h) or define (imgpixfmts_internal.h), where the order
 * is from LSB to MSB when the entire element is read as a single word on
 * a little-endian machine.
 *
 * For example, take the format IMG_PIXFMT_D32_FLOAT_S8_UINT_X24_TYPELESS:
 *
 * 	This is a 64bit format, so read as a 64bit word.
 * 	Bits 0-31 are D32, bits 32-39 are S8, bits 40-63 are X24
 * 	In memory, first four bytes are D32, fifth byte is S8,
 * 	remaining 3 bytes are X24.
 *
 * Similarly, IMG_PIXFMT_B5G6R5_UNORM:
 *
 * 	16bit word, Bits 0-4 are B, bits 5-10 are G, bits 11-15 are R.
 *
 *
 * Each format also specifies the interpretation of the bits:
 * TYPELESS - No interpretation, pixel can only be copied verbatim.
 * FLOAT - Floating point
 * UINT - Unsigned integer
 * SINT - Signed integer
 * UNORM - Normalised value in range 0 - 1.0f
 * SNORM - Normalised value in range -1.0f - 1.0f
 * UNORM_SRGB - As UNORM, but with gamma correction
 *
 * ************************* NOTE **********************************
 * Some of the following pixel formats are proprietary and may have
 * IP and licensing issues associated with them.
 * As such, this header should not be distributed in Open Source
 * products.
 */
#if !defined(IMGPIXFMTS_INTERNAL_H)
#define IMGPIXFMTS_INTERNAL_H

#include <powervr/imgpixfmts.h>
#include <powervr/imgyuv.h>

/*      IMG_PIXFMT_UNKNOWN (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R32G32B32A32_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_1
#define IMG_PIXFMT_R32G32B32A32_FLOAT IMG_PIXFMT_RESERVED_2
#define IMG_PIXFMT_R32G32B32A32_UINT IMG_PIXFMT_RESERVED_3
#define IMG_PIXFMT_R32G32B32A32_SINT IMG_PIXFMT_RESERVED_4
#define IMG_PIXFMT_R32G32B32_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_5
#define IMG_PIXFMT_R32G32B32_FLOAT IMG_PIXFMT_RESERVED_6
#define IMG_PIXFMT_R32G32B32_UINT IMG_PIXFMT_RESERVED_7
#define IMG_PIXFMT_R32G32B32_SINT IMG_PIXFMT_RESERVED_8
#define IMG_PIXFMT_R16G16B16A16_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_9
#define IMG_PIXFMT_R16G16B16A16_FLOAT IMG_PIXFMT_RESERVED_10
#define IMG_PIXFMT_R16G16B16A16_UNORM IMG_PIXFMT_RESERVED_11
#define IMG_PIXFMT_R16G16B16A16_UINT IMG_PIXFMT_RESERVED_12
#define IMG_PIXFMT_R16G16B16A16_SNORM IMG_PIXFMT_RESERVED_13
#define IMG_PIXFMT_R16G16B16A16_SINT IMG_PIXFMT_RESERVED_14
#define IMG_PIXFMT_R16G16B16_FLOAT IMG_PIXFMT_RESERVED_15
#define IMG_PIXFMT_R32G32_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_16
#define IMG_PIXFMT_R32G32_FLOAT IMG_PIXFMT_RESERVED_17
#define IMG_PIXFMT_R32G32_UINT IMG_PIXFMT_RESERVED_18
#define IMG_PIXFMT_R32G32_SINT IMG_PIXFMT_RESERVED_19
#define IMG_PIXFMT_R32G8X24_TYPELESS IMG_PIXFMT_RESERVED_20
#define IMG_PIXFMT_D32_FLOAT_S8_UINT_X24_TYPELESS IMG_PIXFMT_RESERVED_21
#define IMG_PIXFMT_R32_FLOAT_X8X24_TYPELESS IMG_PIXFMT_RESERVED_22
#define IMG_PIXFMT_X32_TYPELESS_G8_UINT_X24_TYPELESS IMG_PIXFMT_RESERVED_23
#define IMG_PIXFMT_R10G10B10A2_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_24
/*      IMG_PIXFMT_R10G10B10A2_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R10G10B10A2_UINT IMG_PIXFMT_RESERVED_26
#define IMG_PIXFMT_R11G11B10_FLOAT IMG_PIXFMT_RESERVED_27
/*      IMG_PIXFMT_B10G10R10A2_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_B10G10R10A2_UINT IMG_PIXFMT_RESERVED_29
#define IMG_PIXFMT_B10G10R10X2_UNORM IMG_PIXFMT_RESERVED_30
#define IMG_PIXFMT_R8G8B8A8_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_31
/*      IMG_PIXFMT_R8G8B8A8_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_R8G8B8A8_UNORM_SRGB (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R8G8B8A8_UINT IMG_PIXFMT_RESERVED_34
#define IMG_PIXFMT_R8G8B8A8_SNORM IMG_PIXFMT_RESERVED_35
#define IMG_PIXFMT_R8G8B8A8_SINT IMG_PIXFMT_RESERVED_36
/*      IMG_PIXFMT_R8G8B8X8_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R8G8B8X8_UNORM_SRGB IMG_PIXFMT_RESERVED_38
#define IMG_PIXFMT_R5G5B5A1_UNORM IMG_PIXFMT_RESERVED_39
#define IMG_PIXFMT_A1R5G5B5_UNORM IMG_PIXFMT_RESERVED_40
#define IMG_PIXFMT_A1B5G5R5_UNORM IMG_PIXFMT_RESERVED_41
#define IMG_PIXFMT_A4R4G4B4_UNORM IMG_PIXFMT_RESERVED_42
#define IMG_PIXFMT_A4B4G4R4_UNORM IMG_PIXFMT_RESERVED_43
#define IMG_PIXFMT_R4G4B4A4_UNORM IMG_PIXFMT_RESERVED_44
#define IMG_PIXFMT_R16G16_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_45
#define IMG_PIXFMT_R16G16_FLOAT IMG_PIXFMT_RESERVED_46
#define IMG_PIXFMT_R16G16_UNORM IMG_PIXFMT_RESERVED_47
#define IMG_PIXFMT_R16G16_UINT IMG_PIXFMT_RESERVED_48
#define IMG_PIXFMT_R16G16_SNORM IMG_PIXFMT_RESERVED_49
#define IMG_PIXFMT_R16G16_SINT IMG_PIXFMT_RESERVED_50
#define IMG_PIXFMT_D32_UINT IMG_PIXFMT_RESERVED_51
/*      IMG_PIXFMT_D32_FLOAT (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R32_FLOAT IMG_PIXFMT_RESERVED_53
#define IMG_PIXFMT_R32_UINT IMG_PIXFMT_RESERVED_54
#define IMG_PIXFMT_R32_SINT IMG_PIXFMT_RESERVED_55
#define IMG_PIXFMT_R24G8_TYPELESS IMG_PIXFMT_RESERVED_56
#define IMG_PIXFMT_D24_UNORM_S8_UINT IMG_PIXFMT_RESERVED_57
#define IMG_PIXFMT_S8_UINT_D24_UNORM IMG_PIXFMT_RESERVED_58
/*      IMG_PIXFMT_D24_UNORM_X8_TYPELESS (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R24_UNORM_X8_TYPELESS IMG_PIXFMT_RESERVED_60
#define IMG_PIXFMT_X24_TYPELESS_G8_UINT IMG_PIXFMT_RESERVED_61
#define IMG_PIXFMT_R8G8_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_62
/*      IMG_PIXFMT_R8G8_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R8G8_UNORM_SRGB IMG_PIXFMT_RESERVED_64
#define IMG_PIXFMT_R8G8_UINT IMG_PIXFMT_RESERVED_65
#define IMG_PIXFMT_R8G8_SNORM IMG_PIXFMT_RESERVED_66
#define IMG_PIXFMT_R8G8_SINT IMG_PIXFMT_RESERVED_67
#define IMG_PIXFMT_R16_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_68
#define IMG_PIXFMT_R16_FLOAT IMG_PIXFMT_RESERVED_69
/*      IMG_PIXFMT_D16_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_D16_FLOAT IMG_PIXFMT_RESERVED_71
#define IMG_PIXFMT_R16_UNORM IMG_PIXFMT_RESERVED_72
#define IMG_PIXFMT_R16_UINT IMG_PIXFMT_RESERVED_73
#define IMG_PIXFMT_R16_SNORM IMG_PIXFMT_RESERVED_74
#define IMG_PIXFMT_R16_SINT IMG_PIXFMT_RESERVED_75
#define IMG_PIXFMT_R8_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_76
/*      IMG_PIXFMT_R8_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R8_UNORM_SRGB IMG_PIXFMT_RESERVED_78
#define IMG_PIXFMT_R8_UINT IMG_PIXFMT_RESERVED_79
#define IMG_PIXFMT_R8_SNORM IMG_PIXFMT_RESERVED_80
#define IMG_PIXFMT_R8_SINT IMG_PIXFMT_RESERVED_81
/*      IMG_PIXFMT_S8_UINT (defined in imgpixfmts.h) */
#define IMG_PIXFMT_A8_UNORM IMG_PIXFMT_RESERVED_83
#define IMG_PIXFMT_R1_UNORM_DEPRECATED IMG_PIXFMT_RESERVED_84
#define IMG_PIXFMT_R9G9B9E5_SHAREDEXP IMG_PIXFMT_RESERVED_85
/*      IMG_PIXFMT_B5G6R5_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_R5G6B5_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B5G5R5A1_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B5G5R5X1_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B8G8R8A8_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B8G8R8X8_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B8G8R8A8_UINT (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B8G8R8A8_SNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B8G8R8A8_SINT (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_B8G8R8A8_UNORM_SRGB (defined in imgpixfmts.h) */
#define IMG_PIXFMT_B8G8R8X8_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_96
#define IMG_PIXFMT_B8G8R8X8_UNORM_SRGB IMG_PIXFMT_RESERVED_97
#define IMG_PIXFMT_BC1_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_98
#define IMG_PIXFMT_BC1_UNORM IMG_PIXFMT_RESERVED_99
#define IMG_PIXFMT_BC1_UNORM_SRGB IMG_PIXFMT_RESERVED_100
#define IMG_PIXFMT_BC1_RGB_UNORM IMG_PIXFMT_RESERVED_101
#define IMG_PIXFMT_BC1_RGB_UNORM_SRGB IMG_PIXFMT_RESERVED_102
#define IMG_PIXFMT_BC2_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_103
#define IMG_PIXFMT_BC2_UNORM IMG_PIXFMT_RESERVED_104
#define IMG_PIXFMT_BC2_UNORM_SRGB IMG_PIXFMT_RESERVED_105
#define IMG_PIXFMT_BC3_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_106
#define IMG_PIXFMT_BC3_UNORM IMG_PIXFMT_RESERVED_107
#define IMG_PIXFMT_BC3_UNORM_SRGB IMG_PIXFMT_RESERVED_108
#define IMG_PIXFMT_BC4_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_109
#define IMG_PIXFMT_BC4_UNORM IMG_PIXFMT_RESERVED_110
#define IMG_PIXFMT_BC4_SNORM IMG_PIXFMT_RESERVED_111
#define IMG_PIXFMT_BC5_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_112
#define IMG_PIXFMT_BC5_UNORM IMG_PIXFMT_RESERVED_113
#define IMG_PIXFMT_BC5_SNORM IMG_PIXFMT_RESERVED_114
#define IMG_PIXFMT_BC6H_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_115
#define IMG_PIXFMT_BC6H_UF16_DEPRECATED IMG_PIXFMT_RESERVED_116
#define IMG_PIXFMT_BC6H_SF16_DEPRECATED IMG_PIXFMT_RESERVED_117
#define IMG_PIXFMT_BC7_TYPELESS_DEPRECATED IMG_PIXFMT_RESERVED_118
#define IMG_PIXFMT_BC7_UNORM_DEPRECATED IMG_PIXFMT_RESERVED_119
#define IMG_PIXFMT_BC7_UNORM_SRGB_DEPRECATED IMG_PIXFMT_RESERVED_120
#define IMG_PIXFMT_PVRT2 IMG_PIXFMT_RESERVED_121
#define IMG_PIXFMT_PVRT4 IMG_PIXFMT_RESERVED_122
#define IMG_PIXFMT_PVRTII2 IMG_PIXFMT_RESERVED_123
#define IMG_PIXFMT_PVRTII4 IMG_PIXFMT_RESERVED_124
#define IMG_PIXFMT_PVRT2_SRGB IMG_PIXFMT_RESERVED_125
#define IMG_PIXFMT_PVRT4_SRGB IMG_PIXFMT_RESERVED_126
#define IMG_PIXFMT_PVRTII2_SRGB IMG_PIXFMT_RESERVED_127
#define IMG_PIXFMT_PVRTII4_SRGB IMG_PIXFMT_RESERVED_128
#define IMG_PIXFMT_ETC2_RGB_UNORM IMG_PIXFMT_RESERVED_129
#define IMG_PIXFMT_ETC2_RGB_UNORM_SRGB IMG_PIXFMT_RESERVED_130
#define IMG_PIXFMT_ETC2A_RGBA_UNORM IMG_PIXFMT_RESERVED_131
#define IMG_PIXFMT_ETC2A_RGBA_UNORM_SRGB IMG_PIXFMT_RESERVED_132
#define IMG_PIXFMT_ETC2_PUNCHTHROUGHA_UNORM IMG_PIXFMT_RESERVED_133
#define IMG_PIXFMT_ETC2_PUNCHTHROUGHA_UNORM_SRGB IMG_PIXFMT_RESERVED_134
#define IMG_PIXFMT_EAC_R11_UNSIGNED IMG_PIXFMT_RESERVED_135
#define IMG_PIXFMT_EAC_R11_SIGNED IMG_PIXFMT_RESERVED_136
#define IMG_PIXFMT_EAC_RG11_UNSIGNED IMG_PIXFMT_RESERVED_137
#define IMG_PIXFMT_EAC_RG11_SIGNED IMG_PIXFMT_RESERVED_138
/*      IMG_PIXFMT_L8_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_L16_UNORM IMG_PIXFMT_RESERVED_140
/*      IMG_PIXFMT_L8A8_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_L4A4 IMG_PIXFMT_RESERVED_142
#define IMG_PIXFMT_U5V5L6_UNORM_DEPRECATED IMG_PIXFMT_RESERVED_143
#define IMG_PIXFMT_U8V8L8X8_UNORM_DEPRECATED IMG_PIXFMT_RESERVED_144
#define IMG_PIXFMT_U8V8L8A8_UNORM_DEPRECATED IMG_PIXFMT_RESERVED_145
#define IMG_PIXFMT_U8V8W8Q8_SNORM_DEPRECATED IMG_PIXFMT_RESERVED_146
#define IMG_PIXFMT_A16_UNORM IMG_PIXFMT_RESERVED_147
/*      IMG_PIXFMT_B4G4R4A4_UNORM (defined in imgpixfmts.h) */
#define IMG_PIXFMT_B4G4R4X4_UNORM IMG_PIXFMT_RESERVED_149
#define IMG_PIXFMT_B2G3R3A8_DEPRECATED IMG_PIXFMT_RESERVED_150
#define IMG_PIXFMT_P8A8_DEPRECATED IMG_PIXFMT_RESERVED_151
#define IMG_PIXFMT_P8_DEPRECATED IMG_PIXFMT_RESERVED_152
#define IMG_PIXFMT_I8_UNORM IMG_PIXFMT_RESERVED_153
#define IMG_PIXFMT_I16_FLOAT IMG_PIXFMT_RESERVED_154
#define IMG_PIXFMT_I32_FLOAT IMG_PIXFMT_RESERVED_155
#define IMG_PIXFMT_L16_FLOAT IMG_PIXFMT_RESERVED_156
#define IMG_PIXFMT_L32_FLOAT IMG_PIXFMT_RESERVED_157
#define IMG_PIXFMT_L32_FLOAT_S8_UINT_X24_TYPELESS IMG_PIXFMT_RESERVED_158
#define IMG_PIXFMT_A16_FLOAT IMG_PIXFMT_RESERVED_159
#define IMG_PIXFMT_A32_FLOAT IMG_PIXFMT_RESERVED_160
#define IMG_PIXFMT_L32A32_FLOAT IMG_PIXFMT_RESERVED_161
#define IMG_PIXFMT_L16A16_FLOAT IMG_PIXFMT_RESERVED_162
/*      IMG_PIXFMT_R8G8B8_UNORM (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_R8G8B8_UNORM_SRGB (defined in imgpixfmts.h) */
#define IMG_PIXFMT_R8G8B8_SINT IMG_PIXFMT_RESERVED_165
#define IMG_PIXFMT_R8G8B8_UINT IMG_PIXFMT_RESERVED_166
#define IMG_PIXFMT_R8G8B8_SNORM IMG_PIXFMT_RESERVED_167
#define IMG_PIXFMT_R16G16B16_SINT IMG_PIXFMT_RESERVED_168
#define IMG_PIXFMT_R16G16B16_SNORM IMG_PIXFMT_RESERVED_169
#define IMG_PIXFMT_R16G16B16_UINT IMG_PIXFMT_RESERVED_170
#define IMG_PIXFMT_R16G16B16_UNORM IMG_PIXFMT_RESERVED_171
#define IMG_PIXFMT_R8G8_B8G8_UNORM_DEPRECATED IMG_PIXFMT_RESERVED_172
#define IMG_PIXFMT_G8R8_G8B8_UNORM_DEPRECATED IMG_PIXFMT_RESERVED_173
/*      IMG_PIXFMT_UYVY (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_VYUY (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YUYV (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YVYU (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YVU420_2PLANE (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YUV420_2PLANE (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YVU420_2PLANE_MACRO_BLOCK (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YUV420_3PLANE (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YVU420_3PLANE (defined in imgpixfmts.h) */
#define IMG_PIXFMT_YV32_4PLANE_DEPRECATED IMG_PIXFMT_RESERVED_183
#define IMG_PIXFMT_4BIT_ALPHA_DEPRECATED IMG_PIXFMT_RESERVED_184
#define IMG_PIXFMT_1BIT_MASK_DEPRECATED IMG_PIXFMT_RESERVED_185
#define IMG_PIXFMT_B8G8R8_UINT IMG_PIXFMT_RESERVED_186
#define IMG_PIXFMT_V8U8Y8A8_DEPRECATED IMG_PIXFMT_RESERVED_187
#define IMG_PIXFMT_24BPP_RAW_DEPRECATED IMG_PIXFMT_RESERVED_188
#define IMG_PIXFMT_64BPP_RAW_DEPRECATED IMG_PIXFMT_RESERVED_189
#define IMG_PIXFMT_128BPP_RAW_DEPRECATED IMG_PIXFMT_RESERVED_190
#define IMG_PIXFMT_256BPP_RAW_DEPRECATED IMG_PIXFMT_RESERVED_191
#define IMG_PIXFMT_512BPP_RAW_DEPRECATED IMG_PIXFMT_RESERVED_192
#define IMG_PIXFMT_1024BPP_RAW_DEPRECATED IMG_PIXFMT_RESERVED_193
#define IMG_PIXFMT_B8G8R8_SINT IMG_PIXFMT_RESERVED_194
#define IMG_PIXFMT_R10G10B10_UINT IMG_PIXFMT_RESERVED_195
#define IMG_PIXFMT_R10G10B10_SNORM IMG_PIXFMT_RESERVED_196
#define IMG_PIXFMT_P4A4_DEPRECATED IMG_PIXFMT_RESERVED_197
#define IMG_PIXFMT_A4P4_DEPRECATED IMG_PIXFMT_RESERVED_198
#define IMG_PIXFMT_DL32_FLOAT_S8_UINT_X24_TYPELESS IMG_PIXFMT_RESERVED_199
#define IMG_PIXFMT_DL32_FLOAT IMG_PIXFMT_RESERVED_200
#define IMG_PIXFMT_NULL IMG_PIXFMT_RESERVED_201
#define IMG_PIXFMT_R16G16B16A16_XR10_DEPRECATED IMG_PIXFMT_RESERVED_202
#define IMG_PIXFMT_R16G16B16A16_XR10_SRGB_DEPRECATED IMG_PIXFMT_RESERVED_203
/*      IMG_PIXFMT_YVU8_422_2PLANE_PACK8 (defined in imgpixfmts.h) */
#define IMG_PIXFMT_YVU8_444_2PLANE_PACK8 IMG_PIXFMT_RESERVED_205
/*      IMG_PIXFMT_YVU10_444_1PLANE_PACK10 (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YVU10_420_2PLANE_PACK16 (defined in imgpixfmts.h) */
#define IMG_PIXFMT_YVU10_422_2PLANE_PACK16 IMG_PIXFMT_RESERVED_208
#define IMG_PIXFMT_YVU10_444_2PLANE_PACK16 IMG_PIXFMT_RESERVED_209
/*      IMG_PIXFMT_YUV8_422_2PLANE_PACK8 (defined in imgpixfmts.h) */
/*      IMG_PIXFMT_YUV8_444_3PLANE_PACK8 (defined in imgpixfmts.h) */
#define IMG_PIXFMT_YUV10_444_3PLANE_PACK16 IMG_PIXFMT_RESERVED_212
#define IMG_PIXFMT_YVU10_420_2PLANE_PACK10 IMG_PIXFMT_RESERVED_213
#define IMG_PIXFMT_YUV10_420_2PLANE_PACK10 IMG_PIXFMT_RESERVED_214
#define IMG_PIXFMT_YVU10_422_2PLANE_PACK10 IMG_PIXFMT_RESERVED_215
#define IMG_PIXFMT_YUV10_422_2PLANE_PACK10 IMG_PIXFMT_RESERVED_216
#define IMG_PIXFMT_YUV10_444_3PLANE_PACK10 IMG_PIXFMT_RESERVED_217
#define IMG_PIXFMT_ASTC_4X4 IMG_PIXFMT_RESERVED_218
#define IMG_PIXFMT_ASTC_4X4_SRGB IMG_PIXFMT_RESERVED_219
#define IMG_PIXFMT_ASTC_5X4 IMG_PIXFMT_RESERVED_220
#define IMG_PIXFMT_ASTC_5X4_SRGB IMG_PIXFMT_RESERVED_221
#define IMG_PIXFMT_ASTC_5X5 IMG_PIXFMT_RESERVED_222
#define IMG_PIXFMT_ASTC_5X5_SRGB IMG_PIXFMT_RESERVED_223
#define IMG_PIXFMT_ASTC_6X5 IMG_PIXFMT_RESERVED_224
#define IMG_PIXFMT_ASTC_6X5_SRGB IMG_PIXFMT_RESERVED_225
#define IMG_PIXFMT_ASTC_6X6 IMG_PIXFMT_RESERVED_226
#define IMG_PIXFMT_ASTC_6X6_SRGB IMG_PIXFMT_RESERVED_227
#define IMG_PIXFMT_ASTC_8X5 IMG_PIXFMT_RESERVED_228
#define IMG_PIXFMT_ASTC_8X5_SRGB IMG_PIXFMT_RESERVED_229
#define IMG_PIXFMT_ASTC_8X6 IMG_PIXFMT_RESERVED_230
#define IMG_PIXFMT_ASTC_8X6_SRGB IMG_PIXFMT_RESERVED_231
#define IMG_PIXFMT_ASTC_8X8 IMG_PIXFMT_RESERVED_232
#define IMG_PIXFMT_ASTC_8X8_SRGB IMG_PIXFMT_RESERVED_233
#define IMG_PIXFMT_ASTC_10X5 IMG_PIXFMT_RESERVED_234
#define IMG_PIXFMT_ASTC_10X5_SRGB IMG_PIXFMT_RESERVED_235
#define IMG_PIXFMT_ASTC_10X6 IMG_PIXFMT_RESERVED_236
#define IMG_PIXFMT_ASTC_10X6_SRGB IMG_PIXFMT_RESERVED_237
#define IMG_PIXFMT_ASTC_10X8 IMG_PIXFMT_RESERVED_238
#define IMG_PIXFMT_ASTC_10X8_SRGB IMG_PIXFMT_RESERVED_239
#define IMG_PIXFMT_ASTC_10X10 IMG_PIXFMT_RESERVED_240
#define IMG_PIXFMT_ASTC_10X10_SRGB IMG_PIXFMT_RESERVED_241
#define IMG_PIXFMT_ASTC_12X10 IMG_PIXFMT_RESERVED_242
#define IMG_PIXFMT_ASTC_12X10_SRGB IMG_PIXFMT_RESERVED_243
#define IMG_PIXFMT_ASTC_12X12 IMG_PIXFMT_RESERVED_244
#define IMG_PIXFMT_ASTC_12X12_SRGB IMG_PIXFMT_RESERVED_245
#define IMG_PIXFMT_YVU10_420_2PLANE_PACK10_R IMG_PIXFMT_RESERVED_246
#define IMG_PIXFMT_YVU10_420_2PLANE_PACK10_T IMG_PIXFMT_RESERVED_247
/*      IMG_PIXFMT_YVU8_420_2PLANE_PACK8_P (defined in imgpixfmts.h) */
#define IMG_PIXFMT_YVU8_420_2PLANE_PACK8_F IMG_PIXFMT_RESERVED_249
#define IMG_PIXFMT_YUV10_420_2PLANE_PACK10_R IMG_PIXFMT_RESERVED_250
#define IMG_PIXFMT_YUV10_420_2PLANE_PACK10_T IMG_PIXFMT_RESERVED_251
/*      IMG_PIXFMT_YUV8_420_2PLANE_PACK8_P (defined in imgpixfmts.h) */
#define IMG_PIXFMT_YUV8_420_2PLANE_PACK8_F IMG_PIXFMT_RESERVED_253
#define IMG_PIXFMT_YVU10_420_2PLANE_PACK10_CUST1 IMG_PIXFMT_RESERVED_254
/*      IMG_PIXFMT_UYVY10_422_1PLANE_PACK10_CUST1 (defined in imgpixfmts.h) */
#define IMG_PIXFMT_YUV8_420_2PLANE_PACK8_BLOCK IMG_PIXFMT_RESERVED_256
#define IMG_PIXFMT_YVU8_420_2PLANE_PACK8_BLOCK IMG_PIXFMT_RESERVED_257
#define IMG_PIXFMT_YUV8_422_2PLANE_PACK8_BLOCK IMG_PIXFMT_RESERVED_258
#define IMG_PIXFMT_YVU8_422_2PLANE_PACK8_BLOCK IMG_PIXFMT_RESERVED_259
#define IMG_PIXFMT_YUV10_420_2PLANE_PACK10_BLOCK IMG_PIXFMT_RESERVED_260
#define IMG_PIXFMT_YVU10_420_2PLANE_PACK10_BLOCK IMG_PIXFMT_RESERVED_261
#define IMG_PIXFMT_YUV10_422_2PLANE_PACK10_BLOCK IMG_PIXFMT_RESERVED_262
#define IMG_PIXFMT_YVU10_422_2PLANE_PACK10_BLOCK IMG_PIXFMT_RESERVED_263
#define IMG_PIXFMT_YUV10_420_2PLANE_PACK10_SCAN IMG_PIXFMT_RESERVED_264
#define IMG_PIXFMT_YVU10_420_2PLANE_PACK10_SCAN IMG_PIXFMT_RESERVED_265
#define IMG_PIXFMT_YUV8_420_2PLANE_PACK8_SCAN IMG_PIXFMT_RESERVED_266
#define IMG_PIXFMT_YVU8_420_2PLANE_PACK8_SCAN IMG_PIXFMT_RESERVED_267
/* These defines are AUTOGENERATED - DO NOT EDIT */

#endif /* IMGPIXFMTS_INTERNAL_H */
