/*************************************************************************/ /*!
@File           rgx_fwif_resetframework.h
@Title          Post-reset work-around framework FW interface
@Copyright      Copyright (c) Imagination Technologies Ltd. All Rights Reserved
@License        Strictly Confidential.
*/ /**************************************************************************/

#if !defined(RGX_FWIF_RESETFRAMEWORK_H)
#define RGX_FWIF_RESETFRAMEWORK_H

#include "img_types.h"
#include "rgx_fwif_shared.h"

typedef struct
{
	union
	{
		IMG_UINT64	uCDMReg_CDM_CB_BASE;			//  defined(RGX_FEATURE_CDM_USER_MODE_QUEUE)
		IMG_UINT64	uCDMReg_CDM_CTRL_STREAM_BASE;	// !defined(RGX_FEATURE_CDM_USER_MODE_QUEUE)
	};
	IMG_UINT64	uCDMReg_CDM_CB_QUEUE;				// !defined(RGX_FEATURE_CDM_USER_MODE_QUEUE)
	IMG_UINT64	uCDMReg_CDM_CB;						// !defined(RGX_FEATURE_CDM_USER_MODE_QUEUE)
} RGXFWIF_RF_REGISTERS;

typedef struct
{
	/* THIS MUST BE THE LAST MEMBER OF THE CONTAINING STRUCTURE */
	RGXFWIF_RF_REGISTERS RGXFW_ALIGN sFWRegisters;

} RGXFWIF_RF_CMD;

/* to opaquely allocate and copy in the kernel */
#define RGXFWIF_RF_CMD_SIZE  sizeof(RGXFWIF_RF_CMD)

#endif /* RGX_FWIF_RESETFRAMEWORK_H */
