/*************************************************************************/ /*!
@File           rgxfw_log_helper.h
@Title          Firmware TBI logging helper function
@Copyright      Copyright (c) Imagination Technologies Ltd. All Rights Reserved
@Platform       Generic
@Description    This file contains some helper code to make TBI logging possible
                Specifically, it uses the SFIDLIST xmacro to trace ids back to
                the original strings.
@License        Strictly Confidential.
*/ /**************************************************************************/
#ifndef RGXFW_LOG_HELPER_H
#define RGXFW_LOG_HELPER_H

#include "rgx_fwif_sf.h"

static const IMG_CHAR *const groups[]= {
#define X(A,B) #B,
	RGXFW_LOG_SFGROUPLIST
#undef X
};

/*  idToStringID : Search SFs tuples {id,string} for a matching id.
 *   return index to array if found or RGXFW_SF_LAST if none found.
 *   bsearch could be used as ids are in increasing order. */
#if defined(RGX_FIRMWARE)
static IMG_UINT32 idToStringID(IMG_UINT32 ui32CheckData, const RGXFW_STID_FMT *const psSFs)
#else
static IMG_UINT32 idToStringID(IMG_UINT32 ui32CheckData, const RGXKM_STID_FMT *const psSFs)
#endif
{
	IMG_UINT32 i = 0, ui32Id = (IMG_UINT32)RGXFW_SF_LAST;

	for ( i = 0 ; psSFs[i].ui32Id != (IMG_UINT32)RGXFW_SF_LAST ; i++)
	{
		if ( ui32CheckData == psSFs[i].ui32Id )
		{
			ui32Id = i;
			break;
		}
	}
	return ui32Id;
}

#endif /* RGXFW_LOG_HELPER_H */
